%define upstream_name    RT-Client-REST
%define upstream_version 0.72

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Talk to RT using REST protocol
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(Encode)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Server::Simple) >= 0.440.0
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(HTTP::Server::Simple::CGI::Environment)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
*RT::Client::REST* is */usr/bin/rt* converted to a Perl module. I needed to
implement some RT interactions from my application, but did not feel that
invoking a shell command is appropriate. Thus, I took *rt* tool, written by
Abhijit Menon-Sen, and converted it to an object-oriented Perl module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB="`pwd`"
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
rm -f t/80-timeout.t
%__make test

%install
%make_install

%files
%doc CHANGES CONTRIBUTORS LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/RT/

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.720.0-2.mga10
+ Revision: 2218648
- Mageia 10 Mass Rebuild

* Wed Aug 30 2023 tv <tv> 0.720.0-1.mga10
+ Revision: 1981947
- update to 0.72

* Thu Dec 08 2022 tv <tv> 0.710.0-1.mga9
+ Revision: 1919227
- update to 0.71

* Wed Sep 28 2022 tv <tv> 0.700.0-1.mga9
+ Revision: 1893025
- update to 0.70

* Tue Mar 29 2022 umeabot <umeabot> 0.600.0-2.mga9
+ Revision: 1831072
- Mageia 9 Mass Rebuild

* Fri May 08 2020 tv <tv> 0.600.0-1.mga8
+ Revision: 1581655
- update to 0.60

* Wed May 06 2020 tv <tv> 0.590.0-1.mga8
+ Revision: 1580823
- update to 0.59

* Fri May 01 2020 tv <tv> 0.580.0-1.mga8
+ Revision: 1577340
- update to 0.58

* Thu Apr 30 2020 tv <tv> 0.570.0-1.mga8
+ Revision: 1573464
- update to 0.57

* Fri Feb 14 2020 umeabot <umeabot> 0.560.0-2.mga8
+ Revision: 1521684
- Mageia 8 Mass Rebuild

* Sat Dec 29 2018 tv <tv> 0.560.0-1.mga7
+ Revision: 1346461
- update to 0.56

* Tue Dec 11 2018 tv <tv> 0.550.0-1.mga7
+ Revision: 1340177
- update to 0.55

* Sun Nov 18 2018 tv <tv> 0.540.0-1.mga7
+ Revision: 1330624
- update to 0.54

* Fri Nov 09 2018 tv <tv> 0.530.0-1.mga7
+ Revision: 1329043
- update to 0.53

* Thu Sep 20 2018 umeabot <umeabot> 0.520.0-2.mga7
+ Revision: 1285930
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 0.520.0-1.mga7
+ Revision: 1216709
- Update to version 0.52

* Thu Mar 08 2018 shlomif <shlomif> 0.510.0-1.mga7
+ Revision: 1207334
- fix build and modernize .spec
- update to 0.51

* Tue Oct 03 2017 tv <tv> 0.500.0-4.mga7
+ Revision: 1166409
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.500.0-3.mga7
+ Revision: 1160664
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-2.mga6
+ Revision: 1032989
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.500.0-1.mga6
+ Revision: 1002288
- update to 0.50

* Sat Feb 20 2016 umeabot <umeabot> 0.490.0-5.mga6
+ Revision: 971516
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.490.0-4.mga6
+ Revision: 891836
- BR perl(CGI) + perl(Test::Pod)

* Wed Oct 15 2014 umeabot <umeabot> 0.490.0-3.mga5
+ Revision: 744085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.490.0-2.mga5
+ Revision: 686082
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.490.0-1.mga5
+ Revision: 623938
- update to 0.49

* Tue May 06 2014 jquelin <jquelin> 0.480.0-1.mga5
+ Revision: 620734
- update to 0.48

* Sat Feb 08 2014 sander85 <sander85> 0.450.0-1.mga5
+ Revision: 585912
- update to 0.45

* Sat Oct 19 2013 umeabot <umeabot> 0.430.0-3.mga4
+ Revision: 522810
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 guillomovitch <guillomovitch> 0.430.0-2.mga3
+ Revision: 405817
- don't run timeout test
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.430.0-1.mga2
+ Revision: 201017
- update to 0.43

* Sat Jan 22 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 32371
- mageia rebuild
- imported package perl-RT-Client-REST


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2011.0
+ Revision: 552625
- update to 0.41

* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 541122
- import perl-RT-Client-REST


* Fri Apr 30 2010 cpan2dist 0.4-1mdv
- initial mdv release, generated with cpan2dist
